io.vertx.grpc.stub

## Class ClientCalls

- java.lang.Object
- - io.vertx.grpc.stub.ClientCalls

-     public final class ClientCalls
      extends Object

  Author:
    Rogelio Orts, Eduard Català

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <I,O> ReadStream<O>` | `manyToMany(io.vertx.core.impl.ContextInternal ctx, Handler<WriteStream<I>> requestHandler, java.util.function.Function<io.grpc.stub.StreamObserver<O>,io.grpc.stub.StreamObserver<I>> delegate)`
    `static <I,O> ReadStream<O>` | `manyToMany(io.vertx.core.impl.ContextInternal ctx, Handler<WriteStream<I>> requestHandler, java.util.function.Function<io.grpc.stub.StreamObserver<O>,io.grpc.stub.StreamObserver<I>> delegate, Handler<Throwable> exceptionHandler)`
    `static <I,O> Future<O>` | `manyToOne(io.vertx.core.impl.ContextInternal ctx, Handler<WriteStream<I>> requestHandler, java.util.function.Function<io.grpc.stub.StreamObserver<O>,io.grpc.stub.StreamObserver<I>> delegate)`
    `static <I,O> ReadStream<O>` | `oneToMany(io.vertx.core.impl.ContextInternal ctx, I request, java.util.function.BiConsumer<I,io.grpc.stub.StreamObserver<O>> delegate)`
    `static <I,O> Future<O>` | `oneToOne(io.vertx.core.impl.ContextInternal ctx, I request, java.util.function.BiConsumer<I,io.grpc.stub.StreamObserver<O>> delegate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### oneToOne

          public static <I,O> Future<O> oneToOne(io.vertx.core.impl.ContextInternal ctx,
                                                 I request,
                                                 java.util.function.BiConsumer<I,io.grpc.stub.StreamObserver<O>> delegate)

    - #### oneToMany

          public static <I,O> ReadStream<O> oneToMany(io.vertx.core.impl.ContextInternal ctx,
                                                      I request,
                                                      java.util.function.BiConsumer<I,io.grpc.stub.StreamObserver<O>> delegate)

    - #### manyToOne

          public static <I,O> Future<O> manyToOne(io.vertx.core.impl.ContextInternal ctx,
                                                  Handler<WriteStream<I>> requestHandler,
                                                  java.util.function.Function<io.grpc.stub.StreamObserver<O>,io.grpc.stub.StreamObserver<I>> delegate)

    - #### manyToMany

          public static <I,O> ReadStream<O> manyToMany(io.vertx.core.impl.ContextInternal ctx,
                                                       Handler<WriteStream<I>> requestHandler,
                                                       java.util.function.Function<io.grpc.stub.StreamObserver<O>,io.grpc.stub.StreamObserver<I>> delegate)

    - #### manyToMany

          public static <I,O> ReadStream<O> manyToMany(io.vertx.core.impl.ContextInternal ctx,
                                                       Handler<WriteStream<I>> requestHandler,
                                                       java.util.function.Function<io.grpc.stub.StreamObserver<O>,io.grpc.stub.StreamObserver<I>> delegate,
                                                       Handler<Throwable> exceptionHandler)

Copyright © 2024 Eclipse. All rights reserved.